package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.FlowApprovalRole;

import java.util.List;

/**
* <p>
* 流程审批表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface FlowApprovalRoleService extends IService<FlowApprovalRole> {



	FlowApprovalRole selectFlowApprovalRoleById(Long id);


	Long insertFlowApprovalRole(FlowApprovalRole flowApprovalRole);


	int updateFlowApprovalRoleById(FlowApprovalRole flowApprovalRole);


	int updateCoverFlowApprovalRoleById(FlowApprovalRole flowApprovalRole);


	int deleteFlowApprovalRoleById(Long id);


    Long insertFlowApprovalRoles(List<FlowApprovalRole> flowApprovalRoles);

    List<FlowApprovalRole> selectFlowApprovalRoleList(List<Long> flowIds);
}